package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcWorkingMfModel = (*customDcWorkingMfModel)(nil)

type (
	// DcWorkingMfModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcWorkingMfModel.
	DcWorkingMfModel interface {
		dcWorkingMfModel
	}

	customDcWorkingMfModel struct {
		*defaultDcWorkingMfModel
	}
)

// NewDcWorkingMfModel returns a model for the database table.
func NewDcWorkingMfModel(conn sqlx.SqlConn) DcWorkingMfModel {
	return &customDcWorkingMfModel{
		defaultDcWorkingMfModel: newDcWorkingMfModel(conn),
	}
}
