package xerr

var message map[uint32]string

func init() {
	message = make(map[uint32]string)
	message[OK] = "SUCCESS"
	message[SERVER_COMMON_ERROR] = "服务器开小差啦,稍后再来试一试"
	message[REUQEST_PARAM_ERROR] = "参数错误"
	message[TOKEN_EXPIRE_ERROR] = "token失效，请重新登陆"
	message[TOKEN_GENERATE_ERROR] = "生成token失败"
	message[DB_ERROR] = "数据库繁忙,请稍后再试"
	message[DB_UPDATE_AFFECTED_ZERO_ERROR] = "更新数据影响行数为0"
	message[OUT_AMOUNT_OVER_ON_AMOUNT_ERROR] = "出库数量大于库存"
	message[CATEGORY_NOT_EXIST_ERROR] = "分类不存在"
	message[RECORD_NOT_EXIST_ERROR] = "数据记录不存在"
	message[NOT_IN_AMOUNT_ERROR] = "没有入库记录，暂不能出库"
	message[NOT_IN_AMOUNT_OUT_ERROR] = "没有入库记录，暂不能报废"
	message[NOT_DEL_ERROR] = "有出库或报废记录，暂不能删除"
	message[NOT_ON_AMOUNT_OVER_SCRAP_ERROR] = "报废数量不能大于在库数量"
	message[TIME_ERROR] = "时间格式错误"
	message[OPEN_FILE_ERROR] = "打开文件失败"
	message[EXCEL_NULL_ERROR] = "空excl"
	message[READ_EXCEL_ERROR] = "读取excl错误"
	message[NOT_PER_ERROR] = "没有权限操作"
	message[IN_STORE_RECORD_NOT_EXIST_ERROR] = "入库记录不存在"
	message[STORE_INVENTORY_ERROR] = "修正库存后，库存不能为负"
	message[STORE_INVENTORY_MONTH_ERROR] = "修正库存后，月库存不能为负"
	message[NOT_DATA_ERROR] = "暂未获取到记录"
	message[STORE_UPDATE_ONCE_DAY_ERROR] = "每种配件一天只能调库一次"

}

func MapErrMsg(errcode uint32) string {
	if msg, ok := message[errcode]; ok {
		return msg
	} else {
		return "服务器开小差啦,稍后再来试一试"
	}
}

func IsCodeErr(errcode uint32) bool {
	if _, ok := message[errcode]; ok {
		return true
	} else {
		return false
	}
}
